Subject: bug#6888: Patch for mouse-autoselect-window on NextStep platforms

From: Jan Djärv <[email-masked]>
Date: Sat, 24 Aug 2013 11:24:18 +0200

Hello.

23 aug 2013 kl. 09:09 skrev martin rudalics <[email-masked]>:

> > FWIW, I was able to copy the SELECT_WINDOW_EVENT code from X (xterm.c)
> > and Win32 (w32term.c) into nsterm.m, adjusting for a few minor
> > differences in variable naming. Focus-follows-mouse on windows within
> > the active frame when mouse-autoselect-window is not nil now works
> > fine in my (not extensive) use of Emacs on my computer. Patch
> > attached.
> 
> Thank you.  Can someone on NS please check whether Davor's patch
> compiles cleanly?

It does but I don't want to check it in as is.  It needs formatting fixes and there is some unfortunate code duplication that needs to be done in another way.

	Jan D.